<ui-select ng-model="$ctrl.flags.selected" theme="bootstrap" required="true"
           ng-change="$ctrl.updateSelected($select.selected.imageUrl);"
           style=" margin: 19px auto; width: 50%">
    <ui-select-match placeholder="Select or search a flag in the list...">
        <svg width='28' height='20' viewBox='0 0 100 100'
             xmlns='http://www.w3.org/2000/svg'
             xmlns:xlink='http://www.w3.org/1999/xlink'
             class='col-sm-4'>
            <image xlink:href={{$select.selected.imageUrl}} x='0' y='0' width='100' height='100'/>
        </svg>
        {{$select.selected.country}}
    </ui-select-match>
    <ui-select-choices
        repeat="flag in $ctrl.flags | filter: {country: $select.search, countryCode: $select.search} | orderBy: 'country'">
        <div class="input-group">
            <svg width='70' height='50' viewBox='0 0 100 100'
                 xmlns='http://www.w3.org/2000/svg'
                 xmlns:xlink='http://www.w3.org/1999/xlink'
                 class='col-sm-4'>
                <image xlink:href={{flag.imageUrl}} x='0' y='0' width='100' height='100'/>
            </svg>
            <div class="col-sm-8 text-center"
                 style="margin-top: 15px;"
                 ng-bind-html="''+flag.country | highlight: $select.search"></div>
        </div>
    </ui-select-choices>
</ui-select>
